# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_rossbuildingblock`](#dsc_rossbuildingblock): The DSC ROSSBuildingBlock resource type. Automatically generated from version 3.2.0
* [`dsc_rosscatalogservices`](#dsc_rosscatalogservices): The DSC ROSSCatalogServices resource type. Automatically generated from version 3.2.0
* [`dsc_rossclient`](#dsc_rossclient): The DSC ROSSClient resource type. Automatically generated from version 3.2.0
* [`dsc_rossconsole`](#dsc_rossconsole): The DSC ROSSConsole resource type. Automatically generated from version 3.2.0
* [`dsc_rossdatabase`](#dsc_rossdatabase): The DSC ROSSDatabase resource type. Automatically generated from version 3.2.0
* [`dsc_rossmanagementportal`](#dsc_rossmanagementportal): The DSC ROSSManagementPortal resource type. Automatically generated from version 3.2.0
* [`dsc_rossmanagementportalconfig`](#dsc_rossmanagementportalconfig): The DSC ROSSManagementPortalConfig resource type. Automatically generated from version 3.2.0
* [`dsc_rossmobilegateway`](#dsc_rossmobilegateway): The DSC ROSSMobileGateway resource type. Automatically generated from version 3.2.0
* [`dsc_rossmobilegatewayconfig`](#dsc_rossmobilegatewayconfig): The DSC ROSSMobileGatewayConfig resource type. Automatically generated from version 3.2.0
* [`dsc_rosstransactionengine`](#dsc_rosstransactionengine): The DSC ROSSTransactionEngine resource type. Automatically generated from version 3.2.0
* [`dsc_rosswebportal`](#dsc_rosswebportal): The DSC ROSSWebPortal resource type. Automatically generated from version 3.2.0
* [`dsc_rosswebportalconfig`](#dsc_rosswebportalconfig): The DSC ROSSWebPortalConfig resource type. Automatically generated from version 3.2.0

## Resource types

### <a name="dsc_rossbuildingblock"></a>`dsc_rossbuildingblock`

The DSC ROSSBuildingBlock resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossbuildingblock` type.

##### `dsc_deletefromdisk`

Data type: `Optional[Boolean]`

Delete the source building block file after import

##### `dsc_enabletransactions`

Data type: `Optional[Boolean]`

Specifies imported service objects should be enabled

##### `dsc_identitydirector`

Data type: `Optional[Boolean]`

Specifies connecting to the RES ONE Identity Director API endpoint

##### `dsc_noclobber`

Data type: `Optional[Boolean]`

Specifies imported service objects should not overwrite existing objects

##### `dsc_usehttps`

Data type: `Optional[Boolean]`

Specifies connecting to the RES ONE Service Store API endpoint using TLS/SSL

#### Parameters

The following parameters are available in the `dsc_rossbuildingblock` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_server`](#dsc_server)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Service Store API credential

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

RES ONE Service Store building block file path

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_server"></a>`dsc_server`

namevar

Data type: `String`

RES ONE Service Store API hostname/endpoint

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rosscatalogservices"></a>`dsc_rosscatalogservices`

The DSC ROSSCatalogServices resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rosscatalogservices` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rosscatalogservices` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_databasename`](#dsc_databasename)
* [`dsc_databaseserver`](#dsc_databaseserver)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Microsoft SQL username/password to create

##### <a name="dsc_databasename"></a>`dsc_databasename`

namevar

Data type: `String`

RES ONE Service Store database name

##### <a name="dsc_databaseserver"></a>`dsc_databaseserver`

namevar

Data type: `String`

RES ONE Service Store database server name/instance name

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossclient"></a>`dsc_rossclient`

The DSC ROSSClient resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossclient` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rossclient` type.

* [`dsc_catalogservicescredential`](#dsc_catalogservicescredential)
* [`dsc_catalogserviceshost`](#dsc_catalogserviceshost)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_catalogservicescredential"></a>`dsc_catalogservicescredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Service Store Catalog Services password

##### <a name="dsc_catalogserviceshost"></a>`dsc_catalogserviceshost`

namevar

Data type: `String`

RES ONE Service Store Catalog Services host

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossconsole"></a>`dsc_rossconsole`

The DSC ROSSConsole resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossconsole` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rossconsole` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_databasename`](#dsc_databasename)
* [`dsc_databaseserver`](#dsc_databaseserver)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Existing Microsoft SQL username/password to connect

##### <a name="dsc_databasename"></a>`dsc_databasename`

namevar

Data type: `String`

RES ONE Service Store database name

##### <a name="dsc_databaseserver"></a>`dsc_databaseserver`

namevar

Data type: `String`

RES ONE Service Store database server name/instance name

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossdatabase"></a>`dsc_rossdatabase`

The DSC ROSSDatabase resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossdatabase` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_licensepath`

Data type: `Optional[String]`

Path to RES ONE Service Store license file

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rossdatabase` type.

* [`dsc_catalogservicescredential`](#dsc_catalogservicescredential)
* [`dsc_credential`](#dsc_credential)
* [`dsc_databasename`](#dsc_databasename)
* [`dsc_databaseserver`](#dsc_databaseserver)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_sqlcredential`](#dsc_sqlcredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_catalogservicescredential"></a>`dsc_catalogservicescredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

New RES ONE Service Store Catalog Services password

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

New Microsoft SQL username/password to create

##### <a name="dsc_databasename"></a>`dsc_databasename`

namevar

Data type: `String`

RES ONE Service Store database name

##### <a name="dsc_databaseserver"></a>`dsc_databaseserver`

namevar

Data type: `String`

RES ONE Service Store database server name/instance name

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_sqlcredential"></a>`dsc_sqlcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Existing Microsoft SQL database credentials used to create the database

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossmanagementportal"></a>`dsc_rossmanagementportal`

The DSC ROSSManagementPortal resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossmanagementportal` type.

##### `dsc_certificatethumbprint`

Data type: `Optional[String]`

Installed certificate thumbprint to bind to the IIS site (v10 and later)

##### `dsc_defaultdomain`

Data type: `Optional[String]`

RES ONE Service Store default (NetBIOS) domain name (v9.1 and earlier)

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_port`

Data type: `Optional[Integer[0, 65535]]`

IIS website port binding

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rossmanagementportal` type.

* [`dsc_hostheader`](#dsc_hostheader)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_hostheader"></a>`dsc_hostheader`

namevar

Data type: `String`

IIS website host header, i.e. http://itstore.lab.local (v9.1 and ealier) or res.lab.local (v10 and later)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossmanagementportalconfig"></a>`dsc_rossmanagementportalconfig`

The DSC ROSSManagementPortalConfig resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossmanagementportalconfig` type.

##### `dsc_applicationurl`

Data type: `Optional[String]`

RES ONE Identity Director Management Portal Application/Callback Uri

##### `dsc_clientid`

Data type: `Optional[String]`

RES ONE Identity Broker Client ID

##### `dsc_databasename`

Data type: `String`

RES ONE Service Store database name

##### `dsc_databaseserver`

Data type: `String`

RES ONE Service Store database server/instance name

##### `dsc_enableapiendpoint`

Data type: `Optional[Boolean]`

Configures the RES ONE Identity Directory REST API endpoint

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_identitybrokerurl`

Data type: `Optional[String]`

RES ONE Identity Broker Uri

#### Parameters

The following parameters are available in the `dsc_rossmanagementportalconfig` type.

* [`dsc_clientsecret`](#dsc_clientsecret)
* [`dsc_credential`](#dsc_credential)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_clientsecret"></a>`dsc_clientsecret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Identity Broker Client shared secret

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Service Store database Microsoft SQL username/password

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

RES ONE Service Store web management portal configuration file path

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossmobilegateway"></a>`dsc_rossmobilegateway`

The DSC ROSSMobileGateway resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossmobilegateway` type.

##### `dsc_certificatethumbprint`

Data type: `String`

TLS/SSL certificate thumbprint

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Automation MSIs or the literal path to the installer

##### `dsc_port`

Data type: `Optional[Integer[0, 65535]]`

IIS website port binding

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Automation component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rossmobilegateway` type.

* [`dsc_hostheader`](#dsc_hostheader)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_hostheader"></a>`dsc_hostheader`

namevar

Data type: `String`

IIS website host header/hostname

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rossmobilegatewayconfig"></a>`dsc_rossmobilegatewayconfig`

The DSC ROSSMobileGatewayConfig resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rossmobilegatewayconfig` type.

##### `dsc_databasename`

Data type: `String`

RES ONE Service Store database name

##### `dsc_databaseserver`

Data type: `String`

RES ONE Service Store database server/instance name

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

#### Parameters

The following parameters are available in the `dsc_rossmobilegatewayconfig` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Service Store database Microsoft SQL username/password

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

RES ONE Service Store mobile gateway configuration file path

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rosstransactionengine"></a>`dsc_rosstransactionengine`

The DSC ROSSTransactionEngine resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rosstransactionengine` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rosstransactionengine` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_databasename`](#dsc_databasename)
* [`dsc_databaseserver`](#dsc_databaseserver)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Existing Microsoft SQL username/password to connect

##### <a name="dsc_databasename"></a>`dsc_databasename`

namevar

Data type: `String`

RES ONE Service Store database name

##### <a name="dsc_databaseserver"></a>`dsc_databaseserver`

namevar

Data type: `String`

RES ONE Service Store database server name/instance name

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rosswebportal"></a>`dsc_rosswebportal`

The DSC ROSSWebPortal resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rosswebportal` type.

##### `dsc_catalogserviceshost`

Data type: `Optional[String]`

RES ONE Service Store Catalog Services hostname (v9.1 and earlier)

##### `dsc_certificatethumbprint`

Data type: `Optional[String]`

Installed certificate thumbprint to bind to the IIS site (v10 and later)

##### `dsc_defaultdomain`

Data type: `Optional[String]`

RES ONE Service Store default (NetBIOS) domain name (v9.1 and earlier)

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isliteralpath`

Data type: `Optional[Boolean]`

Specified path is a literal file reference

##### `dsc_path`

Data type: `String`

File path containing the RES ONE Service Store MSIs or the literal path to the installer

##### `dsc_port`

Data type: `Optional[Integer[0, 65535]]`

IIS website port binding

##### `dsc_productname`

Data type: `Optional[String]`

Windows Installer Product Name

##### `dsc_version`

Data type: `Optional[String]`

RES ONE Service Store component version to be installed, i.e. 8.0.3.0

#### Parameters

The following parameters are available in the `dsc_rosswebportal` type.

* [`dsc_catalogservicescredential`](#dsc_catalogservicescredential)
* [`dsc_hostheader`](#dsc_hostheader)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_catalogservicescredential"></a>`dsc_catalogservicescredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Service Store Catalog Services password (v9.1 and earlier).

##### <a name="dsc_hostheader"></a>`dsc_hostheader`

namevar

Data type: `String`

IIS website host header, i.e. http://itstore.lab.local (v9.1 and ealier) or res.lab.local (v10 and later)

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_rosswebportalconfig"></a>`dsc_rosswebportalconfig`

The DSC ROSSWebPortalConfig resource type.
Automatically generated from version 3.2.0

#### Properties

The following properties are available in the `dsc_rosswebportalconfig` type.

##### `dsc_applicationurl`

Data type: `Optional[String]`

RES ONE Identity Director Management Portal Application/Callback Uri

##### `dsc_clientid`

Data type: `Optional[String]`

RES ONE Identity Broker Client ID

##### `dsc_databasename`

Data type: `String`

RES ONE Service Store database name

##### `dsc_databaseserver`

Data type: `String`

RES ONE Service Store database server/instance name

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_identitybrokerurl`

Data type: `Optional[String]`

RES ONE Identity Broker Uri

#### Parameters

The following parameters are available in the `dsc_rosswebportalconfig` type.

* [`dsc_clientsecret`](#dsc_clientsecret)
* [`dsc_credential`](#dsc_credential)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_clientsecret"></a>`dsc_clientsecret`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Identity Broker Client shared secret

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

RES ONE Service Store database Microsoft SQL username/password

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

RES ONE Service Store web portal configuration file path

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

